TOMOYO-SETPROFILE(8)

NAME
tomoyo-setprofile - profile assignment utility for TOMOYO Linux

SYNOPSIS
tomoyo-setprofile [option] number <domain> [<domain> ...]

DESCRIPTION
This program assigns the specified profile number to the specified domain.

Before this program can be invoked, you must register it in /sys/kernel/security/tomoyo/manager. After initializing policy, this is usually as simple as rebooting the system.

OPTIONS

-r  Apply the specified profile number to all domains whose domain name starts with the specified string.

number
    The profile number must be an integer between 0 and 255.

<domain>
    The string must be quoted or escaped to avoid misinterpretation by the shell. It only matches an exact string unless the "-r" option is specified.

EXAMPLES

Assign profile 0 to all domains
      tomoyo-setprofile -r 0 '<kernel>'

Assign profile 1 to sshd and httpd domains
      tomoyo-setprofile 1 '<kernel> /usr/sbin/sshd' '<kernel> /usr/sbin/httpd'

BUGS
If you find any bugs, send an email to <tomoyo-users-en@lists.sourceforge.jp>.

AUTHORS

Tetsuo Handa <penguin-kernel@I-love.SAKURA.ne.jp>
    Main author.

Jamie Nguyen <jamie@tomoyolinux.co.uk>
    Documentation and website.

SEE ALSO
tomoyo-pstree(8)

See <http://tomoyo.sourceforge.jp> for more information.